{% extends "base.html" %}
{% block main %}
<h1> {{ title }} </h1>
<br>
<div class="page_number">
{% if wines.has_prev %}
<button type="button" class="btn btn-default btn-sm" onclick="self.location.href='{{ prev }}/{{wines.prev_num}}'">
  <span class="glyphicon glyphicon-arrow-left"></span> Précédent
</button>
{% endif %} 
{{ wines.page }} - {{ wines.pages }}
{% if wines.has_next %}
<button type="button" class="btn btn-default btn-sm" onclick="self.location.href='{{ prev }}/{{wines.next_num}}'">
  <span class="glyphicon glyphicon-arrow-right"></span> Suivant
</button>
{% endif %}
</div>
<br>
<div class = "row">
		{%for w in wines.items%}
			{% if not loop.first %}
				{% if (loop.index0 % 3 ) == 0 %}
					<div class ="clearfix visible-md-block visible-lg-block "></div>
				{% endif %}
				{% if (loop.index0 % 2 ) == 0 %}
					<div class ="clearfix visible-sm-block"></div>
				{% endif %}
				{% if (loop.index0 % 1 ) == 0 %}
					<div class ="clearfix visible-xs-block"></div>
				{% endif %}
			{% endif %}
			<div class= "col-xs-12 col-sm-6 col-md-4 myimg">
			  <a href="/one_wine/{{w.id}}">
				<img src ="{{ url_for('static', filename='images/'+w.image) }}"/>
				</a>
				</br>
				Nom  : {{ w.name }}</br>
				Annee : {{ w.vintage}}</br>
				Categorie   : {{ w.category}}</br>
				</br></br>
			</div>
		{% endfor %}
</div>
<div class="page_number">
{% if wines.has_prev %}<a href="{{ url_for('home', page=wines.prev_num) }}"><< Newer wines</a> | {% endif %} {{ wines.page }} - {{ wines.pages }}
{% if wines.has_next %} | <a href="{{ url_for('home', page=wines.next_num) }}">Older wines >></a>{% endif %}
</div>
<br><br>
{% endblock %}

